ChiliProject - Task # 128: Decide on ChiliProject copyright

Status: Closed Priority: Normal

Author: Eric Davis Category: ChiliProject - Organization
Created: 2011-02-03 Assignee: Eric Davis

Updated: 2011-02-21 Due date:

Remote issue URL:

Description: We need to decide on how to handle the ChiliProject copyright. Since the project isn't a legal person,

someone will need to own it for now. If/when we setup a legal person, we can then transfer the copyright to it.

Thoughts?

History

2011-02-04 12:53 pm - George Notaras
IMHO the holder of the project's copyright does not have to be a single person. A group of legal entities like "The ChiliProject Team" would be nicer,

since several people contribute to the project in terms of ideas and code.

2011-02-04 03:16 pm - Holger Just
In the long term, the copyright should be transferred to an external legal entity. See #145 and the
[[Objectives_and_Goals#Goal-Manage-project-assets|Manage project assets]] goal. In the short term, | would support "the ChiliProject Team" or

something similar.

| don't know about US law, but at least in Germany, any group of people can form a very simple entity under civil law
("GbR":http://en.wikipedia.org/wiki/Types_of_business_entity#Germany) which is created just by stating its existence. If we properly track contributions

in git it should be possible to move copyright later rather easily.

2011-02-05 01:13 am - Eric Davis
I'd love it if we could have a group own the copyright, | always thought it had to be a single person/entity.

2011-02-05 01:40 am - Holger Just
On the other hand do we have no copyright law (at least not in the US sense). Our _Urheberrecht_ (the rights resulting from creating something) is
non-transferable, only the rights resulting from that (who can use it in which way) are transferable. Don't know, it's a bit hard to explain... Just see

http://en.wikipedia.org/wiki/German_copyright_law

But back to US copyright law, | would think once we have a legal entity of any kind, it can hold a copyright.

2011-02-05 12:02 pm - deleted deleted

| have some questions:

* as Chili is a fork of Redmine, doesn't a lot of the (code) copyright belong to Jean-Philippe?

* what then would the 'ChiliProject copyright' consist of?

My preference would be for the 'ChiliProject Team' and - later - a 'ChiliProject foundation' to own the copyrights.

2011-02-05 01:39 pm - Fabian Buch

| think legally, unless the copyright is transferred, the copyright always belongs to the person who wrote something. That means the copyright notice
next to "Powered by Redmine" is wrong, since many people contributed/wrote code for Redmine and should all be listed in a copyright file, in version
control history or whereever instead of just one of them (even if the main, most contributing person).

A copyright on a site would only make sense for the site contents | think. A trademark, if it exists, is a different matter.

| think you could remove it. "Powered by ChiliProject." is sufficient as advertisement for ChiliProject on sites using it.
2011-02-05 02:48 pm - Holger Just

> as Chili is a fork of Redmine, doesn't a lot of the (code) copyright belong to Jean-Philippe?

Exactly, but not all of it.

> what then would the 'ChiliProject copyright' consist of?

All of the modifications we do based on the existing code. Only when nothing of the former code is in use anymore we can "ignore" the rights of former
developers (as then there aren't any anymore obviously).

Just to be clear about it, this issue is *not* about the statement at the footer of installs (see #129 for that). It is about the actual copyright of the code we
write and distribute. This is necessary for the GPL-license and how we are able to distribute code. So if you want to have a certain place, it's the GPL
statement at the header of each file and the license notice in the final distribution.

Some projects (like lllumos, Hudson/Jenkins, Puppet, or Chef, ...) use a rather strict policy of requiring an agreement to be signed by each contributor
before code can be merged into the core. This agreement typically transfers copyright to a project body of some kind and formalizes rights of both

contributors and the project.

Unfortunately, it might be already too late for this as contributions weren't tracked at all in Redmine, so we have no clue who own which code. Maybe
we could assume full copyright for JPL, but as IANAL, better don't trust on me here. | guess we should really talk to the people of the
"SFLC":http://softwarefreedom.org soon about this.

2011-02-06 02:43 am - George Notaras

Hans-Peter Suter wrote:

> * as Chiliis a fork of Redmine, doesn't a lot of the (code) copyright belong to Jean-Philippe?

> * what then would the 'ChiliProject copyright' consist of?

Fabian Buch wrote:

> | think legally, unless the copyright is transferred, the copyright always belongs to the person who wrote something.

Exactly.

The copyright of the Redmine code belongs to its authors or solely to Jean-Philippe Lang in the case that contributors transferred their contribution's
copyright to him as part of a possible contributor agreement. But who is the holder of the copyright is not important in case of code reuse. Several
copyright statements may exist within a single file without problem. What is important is the terms of the license under which the code has been
released. In case of Redmine, the code can be reused, so everything is fine.

If | understand correctly, this discussion is about the copyright of the project itself and the copyright of the contributions. | consider these things very

important and it is a real pleasure to read such discussions when a project starts. It is a sign that people want to do things right. :)

2011-02-17 01:29 am - Eric Davis
- Assignee set to Eric Davis

Disclaimer: IANAL, like always.

From what | see, US law allows multiple people to hold copyright (called "a joint work" and "coowners")

> (a) Initial Ownership. &4€” Copyright in a work protected under this title vests initially in the author or authors of the work. *The authors of a joint work
are coowners of copyright in the work.*

>

> http:/www.copyright.gov/title17/92chap2.html -- A§ 201a

| propose we form the "ChiliProject Team" and have them own the copyright until we have a legal entity to hold it.

2011-02-17 08:27 am - Felix Schafer

I'm not sure how much that works for non-US citizens, but on the assumption that it does, that would be OK for me. Should we then also ensure that

copyright for external contributions be wavered to the ChiliProject Team?

2011-02-20 05:06 am - Eric Davis

- Status changed from Open to Closed

I've added [[Copyright]] which lists the current team. Once #129 is merged in, the footer will be updated.

2011-02-20 05:01 pm - Felix Schafer
Shouldn't the copyright notice be for 2011 instead of 20107?

2011-02-21 11:17 pm - Eric Davis
Felix SchArfer wrote:

> Shouldn't the copyright notice be for 2011 instead of 2010?

We have some work that started in December 2010 that should be covered.
